Subject: Re: [PATCH] getcwd(mingw): handle the case when there is no cwd

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Jan 2022 11:27:21 -0800

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> While technically not possible on Windows via the regular Win32 API, we
> do run the regression tests in an MSYS2 Bash which uses a POSIX
> emulation layer (the MSYS2/Cygwin runtime) where a really evil hack
> _does_ allow to delete a directory even if it is the current working
> directory.

Wow.  I am not sure if I should frown or smile ;-)

>     The bug fixed by this topic was noticed due to test failures while
>     rebasing Microsoft's fork of Git onto v2.35.0-rc1. It may not be
>     desirable to take it into Git v2.35.0 this late in the -rc phase, even
>     though I do plan on integrating it into Git for Windows v2.35.0

I think we can and should take it in my tree (even direct to
'master'), as it is very clear it affects nobody other than Windows,
and even if this has any unintended negative effect, having that
common with "Git for Windows" would only help.

Thanks.